Bug 249574 - autofs passes a wrong program version to the nfs NULL proc
Summary: autofs passes a wrong program version to the nfs NULL proc
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 425887
TreeView+ depends on / blocked
 
Reported: 2007-07-25 15:43 UTC by Jeff Moyer
Modified: 2008-05-21 14:37 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:37:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Convert the internal representation of the nfs version number to one accepted by the rpc layer. (995 bytes, patch)
2007-07-25 15:43 UTC, Jeff Moyer
no flags Details | Diff
Version 5 patch for this issue (1009 bytes, patch)
2007-07-27 08:05 UTC, Ian Kent
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0354 normal SHIPPED_LIVE autofs bug fix and enhancement update 2008-05-20 12:52:25 UTC

Description Jeff Moyer 2007-07-25 15:43:11 UTC
Description of problem:
When dealing with a replicated server entry, where one of the servers is
PROXIMITY_LOCAL, and the other(s) are not, the automount daemon will pass an
invalid version number to the RPC NULL procedure on the NFS server.  This
results in a failure being returned which renders the given server unavailable
as a mount source.

Version-Release number of selected component (if applicable):
5.0.1-0.rc2.53

How reproducible:
100%

Steps to Reproduce:
See RHTS test /CoreOS/autofs/bugzillas, subtest bz239361.  Additionally, that
test has to be run with server proximities as described above.

Comment 1 Jeff Moyer 2007-07-25 15:43:11 UTC
Created attachment 159951 [details]
Convert the internal representation of the nfs version number to one accepted by the rpc layer.

Comment 2 Ian Kent 2007-07-27 08:05:44 UTC
Created attachment 160100 [details]
Version 5 patch for this issue

Comment 3 RHEL Product and Program Management 2007-10-16 03:52:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2008-05-21 14:37:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0354.html



Note You need to log in before you can comment on or make changes to this bug.